# Copyright 2022-2024 ETSI OSG/SDG TeraFlowSDN (TFS) (https://tfs.etsi.org/)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import logging, os, grpc
from common.method_wrappers.Decorator import MetricsPool, safe_and_metered_rpc_method
from common.method_wrappers.Decorator import MetricsPool
from common.proto.automation_pb2_grpc import AutomationServiceServicer

LOGGER = logging.getLogger(__name__)
METRICS_POOL = MetricsPool('Automation', 'RPC')

class AutomationServiceServicerImpl(AutomationServiceServicer):

    @safe_and_metered_rpc_method(METRICS_POOL,LOGGER)
    def ZSMCreate(self) -> None:
        LOGGER.info('NOT IMPLEMENTED ZSMCreate')

    @safe_and_metered_rpc_method(METRICS_POOL,LOGGER)
    def ZSMUpdate(self) -> None:
        LOGGER.info('NOT IMPLEMENTED ZSMUpdate')

    @safe_and_metered_rpc_method(METRICS_POOL,LOGGER)
    def ZSMDelete(self) -> None:
        LOGGER.info('NOT IMPLEMENTED ZSMDelete')

    @safe_and_metered_rpc_method(METRICS_POOL,LOGGER)
    def ZSMGetById(self) -> None:
        LOGGER.info('NOT IMPLEMENTED ZSMGetById')


    @safe_and_metered_rpc_method(METRICS_POOL,LOGGER)
    def ZSMGetByService(self) -> None:
        LOGGER.info('NOT IMPLEMENTED ZSMGetByService')
